%define upstream_name	 MIME-Explode
%define	upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for explode MIME messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
MIME::Explode is perl module for parsing and decoding single or multipart
MIME messages, and outputting its decoded components to a given directory
ie, this module is designed to allows users to extract the attached files
out of a MIME encoded email messages or mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README examples
%{perl_vendorarch}/MIME
%{perl_vendorarch}/auto/MIME
%{_mandir}/man3/*

%changelog
* Mon Jun 27 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 114636
- update to 0.39

* Fri Jun 17 2011 pterjan <pterjan> 0.380.0-3.mga2
+ Revision: 108568
- Fix build with perl 5.14

  + jquelin <jquelin>
    - remove %%clean

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.380.0-2.mga1
+ Revision: 30759
- mageia rebuild
- imported package perl-MIME-Explode


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-2mdv2011.0
+ Revision: 556006
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 403861
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.38-5mdv2009.0
+ Revision: 257834
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.38-4mdv2009.0
+ Revision: 245877
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.38-2mdv2008.1
+ Revision: 152129
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2007.0
- New version 0.38

* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.37-1mdk
- initial Mandriva package

